/** @example ex/ios/intro/HelloWorldWebSubExample.h
 */

/*
 *  This source is distributed under the terms and conditions
 *  of any contract or contracts between Solace and you or
 *  your company. If there are no contracts in place use of
 *  this source is not authorized. No support is provided and
 *  no distribution, sharing with others or re-use of this
 *  source is authorized unless specifically stated in the
 *  contracts referred to above.
 *
 *  Copyright 2012-2025 Solace Corporation. All rights reserved.
 */

#import "Example.h"

/**
 *  The HelloWorldSubExample shows the basics of creating a web messaging
 *  session, connecting a web messaging session, and receiving a direct message
 *  from a topic. This is meant to be a very basic example for demonstration
 *  purposes.
 */
@interface HelloWorldWebSubExample : Example

/**
 *  Message count.
 */
@property int msgCount;

@end
